package org.springblade.modules.spzf.payInfo.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.io.Serial;
import java.math.BigDecimal;

/**
 * 付款记录 实体类
 *
 * @author wth
 * @since 2024-12-06
 */
@Data
@TableName("pay_info")
@Schema(description = "PayInfoEntity对象")
@EqualsAndHashCode(callSuper = true)
public class PayInfoEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 商户号
	 */
	@Schema(description = "商户号")
	private String mchtCode;
	/**
	 * 订单金额
	 */
	@Schema(description = "订单金额")
	private BigDecimal transAmount;
	/**
	 * 商户订单号
	 */
	@Schema(description = "商户订单号")
	private String orgTrace;
	/**
	 * 业务日期
	 */
	@Schema(description = "业务日期")
	private String transDate;
	/**
	 * 收款方账号名称
	 */
	@Schema(description = "收款方账号名称")
	private String payeeAcctName;
	/**
	 * 收款方账号
	 */
	@Schema(description = "收款方账号")
	private String payeeAcctNo;
	/**
	 * 收款方账号类型
	 */
	@Schema(description = "收款方账号类型")
	private String payeeAcctType;
	/**
	 * 数字信封
	 */
	@Schema(description = "数字信封")
	private String dgtlEnvlp;

}
