/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.spzf.payInfo.service.impl;

import org.springblade.modules.spzf.payInfo.pojo.entity.PayInfoEntity;
import org.springblade.modules.spzf.payInfo.pojo.vo.PayInfoVO;
import org.springblade.modules.spzf.payInfo.excel.PayInfoExcel;
import org.springblade.modules.spzf.payInfo.mapper.PayInfoMapper;
import org.springblade.modules.spzf.payInfo.service.IPayInfoService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 付款记录 服务实现类
 *
 * @author wth
 * @since 2024-12-06
 */
@Service
public class PayInfoServiceImpl extends BaseServiceImpl<PayInfoMapper, PayInfoEntity> implements IPayInfoService {

	@Override
	public IPage<PayInfoVO> selectPayInfoPage(IPage<PayInfoVO> page, PayInfoVO payInfo) {
		return page.setRecords(baseMapper.selectPayInfoPage(page, payInfo));
	}

	@Override
	public List<PayInfoExcel> exportPayInfo(Wrapper<PayInfoEntity> queryWrapper) {
		List<PayInfoExcel> payInfoList = baseMapper.exportPayInfo(queryWrapper);
		//payInfoList.forEach(payInfo -> {
		//	payInfo.setTypeName(DictCache.getValue(DictEnum.YES_NO, PayInfoEntity.getType()));
		//});
		return payInfoList;
	}

}
